require "slack-notifier"

module ActionNotifier
  module Deliverers
    class SlackWebhookDeliverer < BaseDeliverer
      def deliver
        notifier.ping(message.body, message.options)
      end

      def notifier
        @notifier ||= Slack::Notifier.new(message.url || webhook_url)
      end

      def webhook_url
        ENV["SLACK_WEBHOOK_URL"]
      end
    end
  end
end
