module ActionNotifier
  class Message
    attr_accessor :body, :delivery_method, :url, :options

    def deliver
      deliverer.deliver
    end

    def deliverer
      deliverer_name.constantize.new(self)
    rescue NameError
      raise UnsupportedDeliverMethodError, "Unsupported deliverer \"#{deliverer_name}\""
    end

    def deliverer_name
      "ActionNotifier::Deliverers::#{delivery_method.to_s.camelize}"
    end
  end
end
