require "action_notifier"
require "rails"
require "abstract_controller/railties/routes_helpers"

module ActionNotifier
  class Railtie < Rails::Railtie # :nodoc:
    config.action_notifier = ActiveSupport::OrderedOptions.new
    config.eager_load_namespaces << ActionNotifier

    initializer "action_notifier.logger" do
      ActiveSupport.on_load(:action_notifier) { self.logger ||= Rails.logger }
    end

    initializer "action_notifier.compile_config_methods" do
      ActiveSupport.on_load(:action_notifier) do
        config.compile_methods! if config.respond_to?(:compile_methods!)
      end
    end
  end
end
